FROM php:8.4-fpm

RUN apt-get update && apt-get install -y unzip libzip-dev && rm -rf /var/cache/apt/*
RUN usermod -a -G www-data root
RUN mkdir -p /var/www/html
RUN chown -R www-data:www-data /var/www/html
RUN curl -sSL https://github.com/mlocati/docker-php-extension-installer/releases/latest/download/install-php-extensions -o /sbin/install-php-extensions
RUN chmod u+x /sbin/install-php-extensions
RUN /sbin/install-php-extensions opentelemetry-php/ext-opentelemetry@1.1.2
RUN /sbin/install-php-extensions opcache
RUN /sbin/install-php-extensions zip
RUN /sbin/install-php-extensions grpc
RUN /sbin/install-php-extensions grpc
RUN /sbin/install-php-extensions intl
RUN /sbin/install-php-extensions calendar
RUN /sbin/install-php-extensions pdo_mysql
RUN /sbin/install-php-extensions mysqli
RUN /sbin/install-php-extensions redis

WORKDIR /var/www/html/
